%define module docutils
%define enable_tests 0

# WARNING: upgrading to 0.18.* or more can break a lot of packages
Name:           python-%{module}
Version:        0.17.1
Release:        %mkrel 1
Summary:        Python Documentation Utilities
URL:            http://docutils.sourceforge.net/
License:        Public Domain and BSD and Python and GPLv3+
Group:          Development/Python
Source:         %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  emacs

%description
The Docutils project specifies a plaintext markup language, reStructuredText,
which is easy to read and quick to write.  The project includes a python
library to parse rST files and transform them into other useful formats such
as HTML, XML, and TeX as well as commandline tools that give the enduser
access to this functionality.

Currently, the library supports parsing rST that is in standalone files and
PEPs (Python Enhancement Proposals).  Work is underway to parse rST from
Python inline documentation modules and packages.

%package -n python3-%{module}
Summary:        System for processing plaintext documentation for python3
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Provides:	rst2html = %{version}-%{release}
Provides:	rst2man = %{version}-%{release}

%description -n python3-%{module}
The Docutils project specifies a plaintext markup language, reStructuredText,
which is easy to read and quick to write.  The project includes a python
library to parse rST files and transform them into other useful formats such
as HTML, XML, and TeX as well as commandline tools that give the enduser
access to this functionality.

Currently, the library supports parsing rST that is in standalone files and
PEPs (Python Enhancement Proposals).  Work is underway to parse rST from
Python inline documentation modules and packages.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf docutils.egg-info/

# Remove shebang from library files
for file in docutils/utils/{code_analyzer.py,punctuation_chars.py,error_reporting.py} \
docutils/utils/math/{latex2mathml.py,math2html.py} docutils/writers/xetex/__init__.py; do \
sed -i -e '/#! *\/usr\/bin\/.*/{1D}' $file; done

iconv -f ISO88592 -t UTF8 tools/editors/emacs/IDEAS.rst > tmp
mv tmp tools/editors/emacs/IDEAS.rst

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

# docutils setup.py runs 2to3 on a copy of the tests and puts it in sitelib.
rm -rf %{buildroot}%{python3_sitelib}/test

for file in %{buildroot}%_bindir/*.py; do
  mv $file %{buildroot}%_bindir/`basename $file .py`
done

# We want the licenses but don't need this build file
rm -f licenses/docutils.conf

# Make emacs mode available:
emacs -batch -f batch-byte-compile tools/editors/emacs/rst.el
%__install -d -m 755 %{buildroot}%{_datadir}/emacs/site-lisp
%__install -D -m 644 tools/editors/emacs/rst.el* %{buildroot}%{_datadir}/emacs/site-lisp
%__rm -rf tools/editors/emacs

cat > ./rst.el << EOF
(autoload 'rst-mode "rst" "reStructuredText mode" t)
(add-to-list 'auto-mode-alist '("\\.rst$" . rst-mode))
EOF
emacs -batch -f batch-byte-compile rst.el
%__install -d -m 755 %{buildroot}%{_sysconfdir}/emacs/site-start.d
%__install -m 644 rst.el* %{buildroot}%{_sysconfdir}/emacs/site-start.d/

%check
%if %enable_tests
%{__python3} test/alltests.py
rm docs/user/rst/images/biohazard.swf
%endif

%files -n python3-%{module}
%doc BUGS.txt COPYING.txt FAQ.txt HISTORY.txt README.txt RELEASE-NOTES.txt
%doc THANKS.txt licenses docs tools/editors
%{python3_sitelib}/*
%{_bindir}/rst2html
%{_bindir}/rst2html4
%{_bindir}/rst2html5
%{_bindir}/rst2latex
%{_bindir}/rst2man
%{_bindir}/rst2odt
%{_bindir}/rst2odt_prepstyles
%{_bindir}/rst2pseudoxml
%{_bindir}/rst2s5
%{_bindir}/rst2xetex
%{_bindir}/rst2xml
%{_bindir}/rstpep2html
%_datadir/emacs/site-lisp/*
%_sysconfdir/emacs/site-start.d/*

%changelog
* Wed Mar 02 2022 TerryN <terryn94 at gmail.com> 0.17.1-1pclos2022
- update and rebuild for python 3.10

* Sun Apr 01 2018 marcin82 <fixxer1982 at gmail.com> 0.14-1pclos2018
- update

* Sat Jun 27 2015 gseaman <galen.seaman at comcast.net> 0.12-1gseaman2015
- rebase on Mageia for python3 support
